local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou2") then

    disableMovement()

    setFlag("comlirio")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_lirio"))

    setFlag("falou2", false)
    setFlag("vazou2", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comlirio")
    setFlag("falou2", false)
    setFlag("vazou2", false)
    enableMovement()
  end
end